import QtQuick 2.4
import QtQuick.Controls 1.3
import QtQuick.Dialogs 1.2

ApplicationWindow {
    visible: true
    width: 800
    height: 480
    title: qsTr("Trisol Heat Laser Controller")

    Connections {
        target: Imx6

        onTemperatureUpdate: {
            currentTemperatureText.text = currentTemperature
        }

        onRedLedStatusUpdate: {
            redLedStatusText.text = currentRedLedStatus
        }
    }

    Timer {
        id: timer
        interval: 1000
        repeat: true
        running: true

        onTriggered:
        {
            Imx6.getCurrentTemperature()
        }
    }

    Button {
        id: fireLaserButton
        x: 131
        y: 201
        z: 2
        width: 159
        height: 78
        text: qsTr("Fire Laser")
        onClicked: {
            Imx6.toggleRedLed();
        }
    }

    Text {
        id: redLedStatusText
        x: 133
        y: 145
        z: 2
        width: 153
        height: 21
        text: qsTr("Off")
        style: Text.Normal
        verticalAlignment: Text.AlignVCenter
        horizontalAlignment: Text.AlignHCenter
        font.bold: true
        font.pixelSize: 20
    }

    Text {
        id: currentTemperatureText
        x: 456
        y: 108
        width: 268
        height: 265
        color: "#292929"
        text: "-"
        z: 1
        horizontalAlignment: Text.AlignHCenter
        verticalAlignment: Text.AlignVCenter
        font.bold: true
        font.pixelSize: 72
    }

    Image {
        id: image1
        x: 0
        y: 0
        fillMode: Image.PreserveAspectFit
        z: 0
        source: "trisol.png"
    }
}
